Results 1 to 4 of 4

Thread: Can't Update And Upgrade My Kali

  1. #1
    Junior Member
    Join Date
    Dec 2016
    Posts
    2

    Exclamation Can't Update And Upgrade My Kali

    HI All,

    Please help me to update and upgrade my kali its broken i dont know why this as below details :

    My source list:

    Code:
    cat /etc/apt/sources.list
    deb http://http.kali.org/kali kali-rolling main contrib non-free
    # For source package access, uncomment the following line
    # deb-src http://http.kali.org/kali kali-rolling main contrib non-free

    My Kali Version :

    Code:
    lsb_release -a
    No LSB modules are available.
    Distributor ID:	Kali
    Description:	Kali GNU/Linux Rolling
    Release:	kali-rolling
    Codename:	kali-rolling
    Code:
    ~$ sudo apt-get update
    Error :

    Code:
    Fetched 9,571 B in 1min 21s (117 B/s)
    Reading package lists... Done
    W: The repository 'https://atlassian.artifactoryonline.com/atlassian/hipchat-apt-client kali-rolling Release' does not have a Release file.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    W: GPG error: http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Debian_9.0_update  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4ABE1AC7557BEFF9
    W: The repository 'http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Debian_9.0_update  Release' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    W: GPG error: http://deb.playonlinux.com trusty InRelease: The following signatures were invalid: 74F7358425EEB6176094C884E0F72778C4676186
    W: The repository 'http://deb.playonlinux.com trusty InRelease' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    W: GPG error: http://download.virtualbox.org/virtualbox/debian vivid InRelease: The following signatures were invalid: 7B0FAB3A13B907435925D9C954422A4B98AB5139
    W: The repository 'http://download.virtualbox.org/virtualbox/debian vivid InRelease' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    E: Failed to fetch https://atlassian.artifactoryonline.com/atlassian/hipchat-apt-client/dists/kali-rolling/main/binary-i386/Packages  404  Not Found
    E: Some index files failed to download. They have been ignored, or old ones used instead.

  2. #2
    Senior Member
    Join Date
    Apr 2013
    Location
    in a computer
    Posts
    596
    Looks like the repos nearest you were down, or under maintenance. I just ran apt-get update && apt-get dist-upgrade, and was ok.

  3. #3
    Junior Member
    Join Date
    Dec 2016
    Posts
    2
    Quote Originally Posted by grid View Post
    Looks like the repos nearest you were down, or under maintenance. I just ran apt-get update && apt-get dist-upgrade, and was ok.
    you suggest just run this classic commande ??

    Code:
    apt-get update && apt-get dist-upgrade

  4. #4
    Senior Member
    Join Date
    Apr 2013
    Location
    in a computer
    Posts
    596
    Yeah, that's what I've used to update Kali since its inception. Always worked for me.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •